ActionError (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ActionError,ActionError class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionError

    java.lang.Object
      |
      +--org.apache.struts.action.ActionMessage
            |
            +--org.apache.struts.action.ActionError

All Implemented Interfaces:
  java.io.Serializable

public class ActionError
extends ActionMessage
implements java.io.Serializable

An encapsulation of an individual error message returned by the `validate()` method of an `ActionForm`, consisting of a message key (to be used to look up message text in an appropriate message resources database) plus up to four placeholder objects that can be used for parametric replacement in the message text.

The placeholder objects are referenced in the message text using the same syntax used by the JDK `MessageFormat` class. Thus, the first placeholder is '{0}', the second is '{1}', etc.

Since Struts 1.1 `ActionError` extends `ActionMessage`.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.action.ActionMessage
`key, values`

Constructor Summary
`ActionError(java.lang.String key)` Construct an action error with no replacement values.
`ActionError(java.lang.String key, java.lang.Object value0)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object[] values)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2)` Construct an action error with the specified replacement values.
`ActionError(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2, java.lang.Object value3)` Construct an action error with the specified replacement values.

Methods inherited from class org.apache.struts.action.ActionMessage
`getKey, getValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionError

    public ActionError(java.lang.String key)

  Construct an action error with no replacement values.

Parameters:
  `key` - Message key for this error message

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1,
                       java.lang.Object value2)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object value0,
                       java.lang.Object value1,
                       java.lang.Object value2,
                       java.lang.Object value3)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value
  `value3` - Fourth replacement value

### ActionError

    public ActionError(java.lang.String key,
                       java.lang.Object[] values)

  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this message
  `values` - Array of replacement values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation